import { HttpClient } from '@angular/common/http';
import { Store } from '@ngrx/store';
import Feature from 'ol/Feature';
import GeoJSON from 'ol/format/GeoJSON';
import Map from 'ol/Map';
import { Observable } from 'rxjs';
import { MangolLayer } from './../../classes/Layer';
import * as fromMangol from './../../store/mangol.reducers';
export declare class FeatureinfoService {
    private store;
    private http;
    geojsonFormat: GeoJSON;
    constructor(store: Store<fromMangol.MangolState>, http: HttpClient);
    /**
     * Gets the GetFeatureInfo WMS url as an Observable from a layer
     * @param layer
     * @param m
     * @param coordinates
     */
    getFeatureinfoUrl$(layer: MangolLayer, m: Map, coordinates: [number, number]): Observable<string>;
    /**
     * Requests the featureinfo geojson from the remote server
     * @param url
     * @param dataProjection
     * @param featureProjection
     */
    getFeatureinfo(url: string, dataProjection: string, featureProjection: string): Observable<Feature[]>;
}
