import { OnDestroy, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { Observable, Subscription } from 'rxjs';
import { LayertreeItemNode } from '../../classes/layertree-item-node.class';
import { LayertreeDictionary } from './../../../../store/layertree/layertree.reducers';
import * as fromMangol from './../../../../store/mangol.reducers';
import { LayerGroupDetailItem } from './../../interfaces/layergroup-detail-item.interface';
export declare class LayerGroupComponent implements OnInit, OnDestroy {
    private store;
    group: LayertreeItemNode;
    level: number;
    dictionary$: Observable<LayertreeDictionary>;
    showBadges$: Observable<boolean>;
    displayLimit: number;
    detailItems: LayerGroupDetailItem[];
    dictionarySubscription: Subscription;
    constructor(store: Store<fromMangol.MangolState>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Toggles the layer group's expanded state
     */
    toggleGroup(): void;
    /**
     * Action based on the menu item clicked
     * @param evt
     */
    onMenuItemClicked(evt: LayerGroupDetailItem): void;
    /**
     * Recursively expands or collapses all children of a layer group
     * @param group
     * @param toChecked
     */
    private expandAll;
    /**
     * Recursively sets the layers' visibility of a layer group
     * @param group
     * @param visible
     */
    private visibleAll;
}
