import { OnDestroy, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material';
import { Store } from '@ngrx/store';
import { Observable, Subscription } from 'rxjs';
import { MangolLayer } from '../../../../classes/Layer';
import { LayertreeDictionary } from '../../../../store/layertree/layertree.reducers';
import * as fromMangol from './../../../../store/mangol.reducers';
import { LayertreeItemNode } from './../../classes/layertree-item-node.class';
import { LayerDetailItem } from './../../interfaces/layer-detail-item.interface';
export declare class LayerComponent implements OnInit, OnDestroy {
    dialog: MatDialog;
    private store;
    node: LayertreeItemNode;
    dictionary$: Observable<LayertreeDictionary>;
    displayLimit: number;
    layer: MangolLayer;
    detailItems: LayerDetailItem[];
    selectedDetail: LayerDetailItem;
    dictionarySubscription: Subscription;
    constructor(dialog: MatDialog, store: Store<fromMangol.MangolState>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    toggleLayerVisibility(): void;
    onMenuItemClicked(evt: LayerDetailItem): void;
}
