import { Action } from '@ngrx/store';
import { PrintDictionary } from '../../interfaces/config-toolbar.interface';
import { PrintLayout, PrintSize } from './print.reducers';
export declare const HAS_PRINT = "[Print] Has Print ";
export declare const SET_DISABLED = "[Print] Set Disabled";
export declare const SET_TITLE = "[Print] Set Title";
export declare const SET_RESOLUTIONS = "[Print] Set Resolutions";
export declare const SET_SIZES = "[Print] Set Sizes";
export declare const SET_LAYOUTS = "[Print] Set Layouts";
export declare const SET_DICTIONARY = "[Print] Set Dictionary";
export declare const SET_SELECTED_LAYOUT = "[Print] Set Selected Layout";
export declare const SET_SELECTED_RESOLUTION = "[Print] Set Selected Resolution";
export declare const SET_SELECTED_SIZE = "[Print] Set Selected Size";
export declare class HasPrint implements Action {
    payload: boolean;
    readonly type = "[Print] Has Print ";
    constructor(payload: boolean);
}
export declare class SetDisabled implements Action {
    payload: boolean;
    readonly type = "[Print] Set Disabled";
    constructor(payload: boolean);
}
export declare class SetTitle implements Action {
    payload: string;
    readonly type = "[Print] Set Title";
    constructor(payload: string);
}
export declare class SetResolutions implements Action {
    payload: number[];
    readonly type = "[Print] Set Resolutions";
    constructor(payload: number[]);
}
export declare class SetSizes implements Action {
    payload: PrintSize[];
    readonly type = "[Print] Set Sizes";
    constructor(payload: PrintSize[]);
}
export declare class SetLayouts implements Action {
    payload: PrintLayout[];
    readonly type = "[Print] Set Layouts";
    constructor(payload: PrintLayout[]);
}
export declare class SetDictionary implements Action {
    payload: PrintDictionary;
    readonly type = "[Print] Set Dictionary";
    constructor(payload: PrintDictionary);
}
export declare class SetSelectedLayout implements Action {
    payload: PrintLayout;
    readonly type = "[Print] Set Selected Layout";
    constructor(payload: PrintLayout);
}
export declare class SetSelectedResolution implements Action {
    payload: number;
    readonly type = "[Print] Set Selected Resolution";
    constructor(payload: number);
}
export declare class SetSelectedSize implements Action {
    payload: PrintSize;
    readonly type = "[Print] Set Selected Size";
    constructor(payload: PrintSize);
}
export declare type PrintActions = HasPrint | SetDisabled | SetTitle | SetResolutions | SetSizes | SetLayouts | SetDictionary | SetSelectedLayout | SetSelectedResolution | SetSelectedSize;
